> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Payout Link

> Create a Payout Link.



## OpenAPI

````yaml /v2.yaml post /v2/payout-links
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/payout-links:
    post:
      tags:
        - payout-links
      summary: Create a Payout Link
      description: Create a Payout Link.
      operationId: create-payout-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                user_id:
                  type: string
                  format: uuid
                  description: The user's id.
                payee:
                  type: object
                  description: The payee. This is optional.
                  properties:
                    first_name:
                      type: string
                      description: First name of the payee.
                    last_name:
                      type: string
                      description: Last name of the payee.
                    country_code:
                      type: string
                      description: >-
                        Country code of the payee's phone number e.g. "1" for
                        USA.
                    phone_number:
                      type: string
                      description: Rest of the payee's phone number.
                    email:
                      type: string
                      description: Payee's email address.
                amount:
                  type: integer
                  description: Amount to be paid in cents.
                delivery:
                  type: object
                  properties:
                    message:
                      type: string
                      description: >-
                        Message to send in the sms message that is sent to the
                        payee.
                    method:
                      type: string
                      enum:
                        - sms
                        - link
                        - email
                        - all
                      description: >-
                        Delivery method. `sms` requires `payee.country_code` and
                        `payee.phone_number`, `email` required `payee.email`.
                        `all` will deliver to all the methods supplied in the
                        payee object (e.g., `all` with empty `payee` has the
                        same effect as `link`, and `all` with `payee.email` has
                        the same effect as `email`).
                force_collect_compliance_information:
                  type: boolean
                  default: false
                  description: >-
                    Force the collection of 1099 or W-8 information. Defaults to
                    `false`.
                tax_exempt:
                  type: boolean
                  description: >-
                    Payout links marked as `tax_exempt` will not be counted
                    towards the 1099 threshold.
                metadata:
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
                  type:
                    - string
                    - object
                memo:
                  type: string
                  description: Add a memo to the top of the Payout Link
                idempotency_key:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  description: >-
                    Unique UUID key that prevents duplicate requests from being
                    processed. If a payout link with the idempotency key exists,
                    a new link will not be created and the existing link will be
                    returned instead.
                payout_fee_party:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  enum:
                    - user
                    - platform
                  description: >-
                    Overrides the setting for which party will pay fees on this
                    payout. This takes precedence over the default for your
                    application.
                additional_steps:
                  type: array
                  description: Array of steps in the flow.
                  items:
                    type: string
                    enum:
                      - compliance
                      - id-verification
                      - background-check
                      - manage-payments
                      - manage-payouts
                      - payout
                      - redirect
                      - pdf-form-fill
                accounting_data:
                  type: object
                  properties:
                    quickbooks_account_id:
                      type: integer
                      description: >-
                        Source/destination account ID to use when syncing the
                        transaction to Quickbooks.
                    quickbooks_class_id:
                      type: integer
                      description: >-
                        Class ID to use for classification when syncing the
                        transaction to Quickbooks.
              required:
                - amount
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payout-link'
                description: The `payout-link` object.
components:
  schemas:
    payout-link:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the `payout-link`.
        created:
          type: string
          format: date-time
          description: Date the `payout-link` was created.
        link:
          type: string
          format: uri
          description: URL to access the `payout-link`.
        amount:
          type: number
          description: The amount to pay in cents.
        status:
          type: string
          enum:
            - created
            - delivery_pending
            - delivery_failed
            - sent
            - delivered
            - claimed
            - reversed
            - canceled
            - expired
            - failed
          description: Status of the `payout-link`.
        payee:
          type: object
          description: Information about the payee. It is used to pre-fill information.
          properties:
            first_name:
              type: string
              description: Payee's first name.
            last_name:
              type: string
              description: Payee's last name.
            email:
              type: string
              format: email
              description: Payee's email address.
            country_code:
              type: string
              description: Country code of the payee's phone number e.g. "1" for USA.
            phone_number:
              type: string
              description: Rest of the payee's phone number.
        delivery:
          type: object
          properties:
            method:
              type: string
              enum:
                - link
                - sms
                - email
            email:
              type: string
              format: email
            country_code:
              type: string
            phone_number:
              type: string
        tax_exempt:
          type: boolean
          description: >-
            Transfers marked as `tax_exempt` will not be counted towards the
            1099 threshold.
        claimed_user_id:
          type: string
          format: uuid
          description: ID of the `user` that has claimed the `payout-link`.
        flow_id:
          type: string
          format: uuid
          description: ID of the payout flow UI that is sent to the user.
        transfer_id:
          type: string
          format: uuid
          description: ID of the `transfer` created for this `payout-link`.
        memo:
          type:
            - string
            - 'null'
          description: Optional memo added to this `payout-link`
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````